<?xml version="1.0" encoding="UTF-8"?>
<xs:schema elementFormDefault="qualified"
           targetNamespace="http://www.realdolmen.com/students"
           xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:s="http://www.realdolmen.com/students">
<!--Document element students verwijst naar eigen type studentsType -->
  <xs:element name="students" type="s:studentsType"/>
  <!--Students complex type met sequeny van student elementen-->
  <xs:complexType name="studentsType">
    <xs:sequence>
      <!--student van het studentType-->
      <xs:element type="s:studentType" name="student" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>
  <!--studentType-->
  <xs:complexType name="studentType">
    <xs:sequence>
      <xs:element type="xs:string" name="firstName"/>
      <xs:element type="xs:string" name="lastName"/>
      <!--Subjects van het subjectsType-->
      <xs:element type="s:subjectsType" name="subjects"/>
    </xs:sequence>
    <xs:attribute type="xs:string" name="nr"/>
  </xs:complexType>
  <!--SubjectsType voor subjects-->
  <xs:complexType name="subjectsType">
    <xs:sequence>
      <!--subject element van het type subjectType-->
      <xs:element type="s:subjectType" name="subject" maxOccurs="10" minOccurs="5"/>
    </xs:sequence>
  </xs:complexType>
  <!--subjectType-->
  <xs:complexType name="subjectType">
    <xs:sequence>
      <!--simple types with boundries-->
      <xs:element name="hours" type="s:hoursType"/>
      <xs:element name="studyPoints" type="s:studyPointsType">
      </xs:element>
    </xs:sequence>
    <xs:attribute type="xs:string" name="name" use="required"/>
  </xs:complexType>

  <xs:simpleType name="hoursType">
    <xs:restriction base="xs:int">
      <xs:minInclusive value="1"/>
      <xs:maxInclusive value="8"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="studyPointsType">
    <xs:restriction base="xs:int">
      <xs:minInclusive value="1"/>
      <xs:maxInclusive value="10"/>
    </xs:restriction>
  </xs:simpleType>

</xs:schema>